/***************************************************************************
                          dockwidget.h  -  description
                             -------------------
    begin                : Thu Jul 6 2000
    copyright            : (C) 2000 by Ian Reinhart Geiser
    email                : geiseri@msoe.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef DOCKWIDGET_H
#define DOCKWIDGET_H

#include <qwidget.h>
#include <qpixmap.h>
/**
  *@author ian geiser
  */

class QLabel;
class QPushButton;
class QHBox;
class QVBox;

class dockwidget : public QWidget  {
    Q_OBJECT

public:
    dockwidget(QWidget *parent=0, const char *name=0);
    ~dockwidget();
    /** Set the current pressure. */
    void setPressure( QString s);
    /** Set the current temperature. */
    void setTemperature( QString s);
    /** Set the current wind speed and direction data. */
    void setWind( QString s);
    void setViewMode(int);
    void setWeatherIcon(const QPixmap &icon);
    void setFont(QFont newFont);
    void showWeather();
    /** resize the view **/
    void resizeView( int x, int y);
    QSize sizeHint(int x, int y);

signals: // Signals
    /** Tell the main application that there was a button event */
    void buttonEvent();

public slots: // Public slots
    /** relay the button pressed to the parent widget */
    void buttonHandler();

protected:
    void resizeEvent ( QResizeEvent * );

private:
    void initDock();
    void updateFont();
    void showIcon();

    int mode;
    QString m_temperature;
    QString m_wind;
    QString m_pressure;

    QPixmap m_icon;
    QPushButton *m_button;
    QLabel *m_label1;
    QLabel *m_label2;
    QLabel *m_label3;
    QVBox *layout;
    QHBox *base;
};

#endif

// vim:ts=4:sw=4:et
